org.wildfly.swarm.config

## Class Weld<T extends Weld<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.Weld<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class Weld<T extends Weld<T>>
      extends HashMap

  The configuration of the weld subsystem.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Weld()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Boolean` | `developmentMode()` Weld comes with a special mode for application development.
    `T` | `developmentMode(Boolean value)` Weld comes with a special mode for application development.
    `String` | `getKey()`
    `Boolean` | `nonPortableMode()` If true then the non-portable mode is enabled.
    `T` | `nonPortableMode(Boolean value)` If true then the non-portable mode is enabled.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Boolean` | `requireBeanDescriptor()` If true then implicit bean archives without bean descriptor file (beans.xml) are ignored by Weld
    `T` | `requireBeanDescriptor(Boolean value)` If true then implicit bean archives without bean descriptor file (beans.xml) are ignored by Weld

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### Weld

          public Weld()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### developmentMode

          public Boolean developmentMode()

      Weld comes with a special mode for application development. When the development mode is enabled, certain built-in tools, which facilitate the development of CDI applications, are available. Setting this attribute to true activates the development mode.

    - #### developmentMode

          public T developmentMode(Boolean value)

      Weld comes with a special mode for application development. When the development mode is enabled, certain built-in tools, which facilitate the development of CDI applications, are available. Setting this attribute to true activates the development mode.

    - #### nonPortableMode

          public Boolean nonPortableMode()

      If true then the non-portable mode is enabled. The non-portable mode is suggested by the specification to overcome problems with legacy applications that do not use CDI SPI properly and may be rejected by more strict validation in CDI 1.1.

    - #### nonPortableMode

          public T nonPortableMode(Boolean value)

      If true then the non-portable mode is enabled. The non-portable mode is suggested by the specification to overcome problems with legacy applications that do not use CDI SPI properly and may be rejected by more strict validation in CDI 1.1.

    - #### requireBeanDescriptor

          public Boolean requireBeanDescriptor()

      If true then implicit bean archives without bean descriptor file (beans.xml) are ignored by Weld

    - #### requireBeanDescriptor

          public T requireBeanDescriptor(Boolean value)

      If true then implicit bean archives without bean descriptor file (beans.xml) are ignored by Weld

Copyright © 2017 JBoss by Red Hat. All rights reserved.